@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins';
    scroll-behavior: smooth;
}


:root {
    --primary-color: #0000;
    --second-color: #BEB7A4;
    --text-color: #FFFFFC;
}

/* Nav Bar */

.menu-toggle {
    display: none;
    flex-direction: column;
    cursor: pointer;
    padding: 10px;
    z-index: 200;
}

.menu-toggle span {
    background-color: var(--text-color);
    height: 3px;
    width: 25px;
    margin: 3px 0;
    transition: all 0.3s ease;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
    background-color: #000;
}

nav .logo img {
    width: 100px;
    margin-left: 50px;
}

nav .navlinks ul {
    display: flex;
    list-style: none;
    gap: 20px;
    margin-right: 50px;
}

nav .navlinks ul li a {
    text-decoration: none;
    color: var(--text-color);
}

nav .navlinks ul li a:hover {
    color: #ffffff73;
}


/* Contact section */

.contact .container .form-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
}

.contact .container .title {
    background: #000;
    background-position: center;
    margin: 35px;
    margin-top: 20px;
    width: 90vw;
    height: 50px;
    display: flex;
    align-items: center;
}

.contact .container .title h1 {
    color: var(--text-color);
    text-align: left;
    padding: 10px;
    text-transform: uppercase;
}

/* formulaire */

/* Style du formulaire */

.form-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px;
    border-radius: 10px;
}

.form {
    width: 100%;
    max-width: 500px;
    margin: 20px auto;
    order: 1;
}

.form h2 {
    margin-bottom: 30px;
    font-size: 1.5rem;
    text-align: start;
    color: #333;
}

.input {
    margin-bottom: 20px;
}

.input label {
    display: block;
    margin-bottom: 10px;
    font-weight: bold;
    color: #333;
}

.input input,
.input select,
.input textarea {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
}

.input input:focus,
.input select:focus,
.input textarea:focus {
    border-color: #aaa;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.input textarea {
    height: 150px;
    resize: none;
}

.input select {
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
}

.input select option {
    padding: 10px;
}

.submit-btn {
    background-color: var(--second-color);
    color: #fff;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.submit-btn:hover {
    background-color: #555;
}


/* infos side */


.infos {
    display: flex;
    flex-direction: column;
    padding: 20px;
}

.title-infos {
    margin-bottom: 20px;
}

.title-infos h2 {
    font-size: 2rem;
    font-weight: bold;
    text-align: center;
}

.info {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}

.infos h3 {
    font-size: 1.5rem;
    font-weight: bold;
    color: #333;
    margin-bottom: 10px;
}

.info i {
    font-size: 1rem;
    margin-right: 10px;
    color: #000;
}

.info p {
    font-size: 1rem;
}

.info p a {
    text-decoration: none;
    color: #000;
}

.map {
    margin-bottom: 20px;
}

.map h3 {
    font-size: 1.5rem;
    font-weight: bold;
    color: #333;
    margin-bottom: 10px;
}

.map iframe {
    width: 100%;
    height: 300px;
    border: none;
}


/* Footer section */

footer {
    margin-top: 50px;
    background: #000;
    color: #fff;
    padding: 20px;
    position: relative;
    bottom: 0;
    width: 100%;
}

footer .row .top img {
    margin-left: 45px;
    margin-bottom: 20px;
    width: 100px;
}

footer .row .top {
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
}

footer .row .bottom {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* footer icon part */

footer .row .bottom .column .icon {
    margin-left: 50px;
    display: flex;
    gap: 10px;
    text-align: center;
    margin-bottom: 10px;
}

footer .footer-container .row .bottom .column .icon p a {
    color: #fff;
    text-decoration: none;
}

/* Footer Link part */

footer .row .bottom .column-links ul {
    display: flex;
    gap: 10px;
    list-style: none;
    margin: 0;
    padding: 0;
}

footer .row .bottom .column-links ul li a {
    font-size: 1rem;
    color: #fff;
    text-decoration: none;
}


/* copyright */

footer .footer-container .copy {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

footer .footer-container .copy p {
    color: var(--text-color);
    font-size: .8rem;
}

@media screen and (max-width: 1024px) {
    .contact .container .form-container {
        grid-template-columns: 1fr;
    }
    
    .infos {
        order: 1;
        margin-bottom: 30px;
    }
    
    .form {
        order: 2;
    }
    
    .map iframe {
        width: 100%;
        max-width: 500px;
    }
}

@media screen and (max-width: 768px) {
    /* Navigation */
    nav .logo img {
        margin-left: 20px;
        width: 80px;
    }
    
    .menu-toggle {
        display: flex;
        margin-right: 20px;
    }
    
    nav .navlinks {
        position: fixed;
        top: 0;
        right: -100%;
        width: 70%;
        height: 100vh;
        background-color: #000;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        transition: 0.5s ease-in-out;
        z-index: 100;
    }
    
    nav .navlinks.active {
        right: 0;
    }
    
    nav .navlinks ul {
        flex-direction: column;
        text-align: center;
        margin-right: 0;
    }
    
    nav .navlinks ul li {
        margin: 15px 0;
    }
    
    /* Contact form */
    .contact .container .title {
        width: 90%;
        margin: 20px auto;
    }
    
    .form-container {
        padding: 10px;
    }
    
    /* Footer */
    footer .row .top  {
        display: flex;
        justify-content: center;
    }
    footer .row .bottom {
        flex-direction: column;
        text-align: center;
    }
    
    footer .row .top img {
        margin-left: 0;
    }
    
    footer .row .bottom .column .icon {
        margin-left: 0;
        justify-content: center;
    }
    
    footer .row .bottom .column-links ul {
        flex-direction: column;
        flex-wrap: wrap;
        justify-content: center;
    }
    
    footer .row .bottom .column-links ul li {
        margin: 5px 0;
    }
    

}

@media screen and (max-width: 480px) {
    /* Title */
    .contact .container .title h1 {
        font-size: 1.5rem;
    }
    
    /* Form */
    .input label {
        font-size: 0.9rem;
    }
    
    .input input,
    .input select,
    .input textarea {
        padding: 8px;
        font-size: 0.9rem;
    }
    
    /* Maps */
    .map iframe {
        height: 250px;
    }
    
    /* Footer */
    footer .footer-container .copy p {
        font-size: 0.7rem;
        text-align: center;
    }
}